{
  pkgs,
  config,
  ...
}: let
  passwords = import ../../variables/passwords.crypt.nix;
in {
  services.redshift = {
    enable = true;
    inherit (passwords.location.stefan) longitude latitude;
    temperature = {
      day = 6700;
      night = 3000;
    };
    tray = true;
    settings = {
      redshift = {
        brightness-day = 1.0;
        brightness-night = 0.5;
        adjustment-method = "randr";
      };
    };
  };
}
